Subject: RE: FW: [Sipping] WGLC review of draft-ietf-sipping-dialogusage-03

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Tue, 3 Oct 2006 16:21:09 -0400

Perhaps a statement should be added to the effect that any method not
mentioned in this document does not create, modify, delete, or otherwise
affect dialog usages?  

That avoids listing the others and triggers any new dialog method to
update the RFC.

Mike

> -----Original Message-----
> From: Paul Kyzivat (pkyzivat) 
> Sent: Monday, October 02, 2006 9:22 PM
> To: Samir Srivastava
> Cc: SIPPING LIST; Vijay K. Gurbani
> Subject: Re: FW: [Sipping] WGLC review of 
> draft-ietf-sipping-dialogusage-03
> 
> 
> 
> Samir Srivastava wrote:
> > Then why we need to put REGISTER , as It doesn't create the dialog 
> > which is categorically stated in 3261.
> 
> Well, I suggested not mentioning REGISTER. I also think 
> PUBLISH need not be mentioned.
> 
> But PUBLISH is not analogous to REGISTER. REGISTER is treated 
> in a very special way by 3261. It does call out the use of 
> Call-ID, which has made Robert think it has some resemblance 
> to a dialog.
> 
> 	Paul
> 
> > Thx
> > Samir
> > 
> > 
> >> -----Original Message-----
> >> From: Paul Kyzivat [mailto:[email-masked]]
> >> Sent: Monday, October 02, 2006 5:23 PM
> >> To: Srivastava, Samir (SC100:8826)
> >> Cc: Vijay K. Gurbani; SIPPING LIST
> >> Subject: Re: FW: [Sipping] WGLC review of
> > draft-ietf-sipping-dialogusage-
> >> 03
> >>
> >> AFAIK, PUBLISH has no relationship with a dialog usage.
> >> In that respect it is like OPTIONS and MESSAGE, that act the same
> > inside
> >> and outside dialog.
> >>
> >> 	Paul
> >>
> >> Samir Srivastava wrote:
> >>> Hi Paul,
> >>>
> >>> 1) In line for REGISTER.
> >>> 2) Draft doesn't mention anything on PUBLISH which is somewhat
> > similar
> >>> to REGISTER.
> >>>
> >>>
> >>> Thx
> >>> Samir
> >>>
> >>>
> >>>> -----Original Message-----
> >>>> From: Paul Kyzivat [mailto:[email-masked]]
> >>>> Sent: Sunday, October 01, 2006 7:29 PM
> >>>> To: Vijay K. Gurbani
> >>>> Cc: SIPPING LIST
> >>>> Subject: Re: [Sipping] WGLC review of
> >>> draft-ietf-sipping-dialogusage-03
> >>>> I'd like to comment further on REGISTER.
> >>>>
> >>>> As far as I can tell, the relationship between REGISTER 
> and dialogs
> > is
> >>>> that both use Call-ID. I don't believe 3261 or any other RFC
> > actually
> >>>> uses the term "dialog" in relationship to registration.
> >>> 3261 in section 10.2 Para 3 Ist sentence states the following.
> >>> "A REGISTER request does not establish a dialog."
> >>>
> >>> Excuse my lack of knowledge of usage. When REGISTER doesn't
> > establish a
> >>> dialog, then where is the question of dialog usage from REGISTER.
> >>> Parsing first two paras of Section 8.1.1.4 of 3261, makes 
> it clear 
> >>> Call-ID should not be shared.
> >>>
> >>>
> >>>  IMO it would be
> >>>> best to refrain from even hinting that there is any such
> > relationship.
> >>> I
> >>>> am inclined to think REGISTER should not even be 
> mentioned in this
> >>> draft.
> >>>> 	Paul
> >>>>
> >>>> Vijay K. Gurbani wrote:
> > 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP